from .config import load_apkg_spec
from .exporter import ApkgExporter
from pathlib import Path
from tempfile import TemporaryDirectory
import argparse

def export_package_from_spec(spec_path: Path, args: argparse.Namespace) -> Path:
    with TemporaryDirectory() as intermediate_dir:
        package_directory = spec_path.parent
        spec = load_apkg_spec(spec_path)
        exporter = ApkgExporter(
            spec=spec,
            content_dir=package_directory,
            intermediate_dir=Path(intermediate_dir),
            args=args
        )
        return exporter.export()
