from . import export_package_from_spec
from .config import APKG_SPEC_FILENAME
from pathlib import Path
import argparse

parser = argparse.ArgumentParser(
    prog="export_apkgs",
    description="Generates apkgs from a spec in a specified directory")
parser.add_argument('-c', '--content', default='content', help="path to YAML or directory tree that contains .apkg-spec.yaml, each spec generates an APKG")
parser.add_argument('-t', '--templates-dir', required=True)
parser.add_argument('-o', '--output-dir', help="directory to put the output apkgs in")
parser.add_argument('-n', '--dry-run', action='store_true', required=False, help="Don't actually build Anki files, but print the files that would be generated")
args = parser.parse_args()
content = Path(args.content)
if content.suffix == '.yaml' or content.suffix == '.yml':
    # directly specified a YAML as argument
    export_package_from_spec(content, args)
else:
    # got a directory or directory tree to find specs in
    for apkg_spec_path in Path(args.content).glob(f'**/{APKG_SPEC_FILENAME}'):
        export_package_from_spec(apkg_spec_path, args)
