from .model import ApkgSpec, TemplateSpec
from pathlib import Path
from yaml import load, CLoader

APKG_SPEC_FILENAME = '.apkg-spec.yaml'
TEMPLATE_SPEC_FILENAME = '.template-spec.yaml'

def load_template_spec(templates_dir: Path, template: str) -> TemplateSpec:
    with open(templates_dir / template / TEMPLATE_SPEC_FILENAME) as spec_yaml:
        spec_yaml = load(spec_yaml, Loader=CLoader)
        return TemplateSpec(**spec_yaml)

def load_apkg_spec(spec_path: Path) -> ApkgSpec:
    with open(spec_path) as spec_yaml:
        spec_yaml = load(spec_yaml, Loader=CLoader)
        return ApkgSpec(**spec_yaml)
